[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: Review request: balsa (email client)



On Mon, 13 Jun 2005 00:27:10 +0200, Michael Schwendt wrote:

> On Fri, 27 May 2005 20:56:02 +0000, Pawel Salek wrote:
> 
> > Summary: Balsa E-mail Client
> > 
> > Description:
> > Balsa is an e-mail reader.  This client is part of the GNOME
> > desktop environment.  It supports local mailboxes, POP3 and
> > IMAP.
> 
> The version in devel CVS would benefit from the following cleanup and
> fixes (with the many buildrequires being redundant, but that's
> unimportant, I just want to point it out, e.g. libgnomeprintui22-devel
> requires libgnomeprint22-devel and gtk2-devel, libgnomeui-devel requires
> libgnome-devel, ...).
> 
> In spec %files sections, please do check packages for missing
> directories. There are really administrators and superuser account users
> who use a restrictive umask. The following directories were not included
> in this package:
> 
>   %{_datadir}/balsa
>   %{_datadir}/balsa/hicolor
>   %{_datadir}/balsa/pixmaps
>   %{_datadir}/gnome/help/balsa
>   %{_datadir}/omf/balsa
>   %{_datadir}/sounds/balsa
> 
> --- balsa.spec.orig	2005-06-13 00:19:14.000000000 +0200
> +++ balsa.spec	2005-06-13 00:23:19.000000000 +0200
> @@ -4,7 +4,7 @@
>  Name:           balsa
>  Version:        2.3.3
>  Release:        1%{?dist}
> -Summary:        Balsa Mail Client
> +Summary:        Mail Client
>  
>  Group:          Applications/Internet
>  License:        GPL
> @@ -18,12 +18,12 @@
>  BuildRequires: aspell-devel
>  BuildRequires: openssl-devel
>  
> -BuildRequires:  gtk2-devel >= 2.0.0
> -BuildRequires:  libgnome-devel >= 2.0.0
> -BuildRequires:  libgnomeui-devel >= 2.0.0
> -BuildRequires:  gnome-vfs2-devel >= 2.0.0
> -BuildRequires:  libgnomeprint22-devel >= 2.2.0
> -BuildRequires:  libgnomeprintui22-devel >= 2.2.0
> +BuildRequires:  gtk2-devel
> +BuildRequires:  libgnome-devel
> +BuildRequires:  libgnomeui-devel
> +BuildRequires:  gnome-vfs2-devel
> +BuildRequires:  libgnomeprint22-devel
> +BuildRequires:  libgnomeprintui22-devel
>  BuildRequires:  desktop-file-utils
>  
>  %description
> @@ -75,14 +75,13 @@
>  %{_bindir}/balsa
>  %{_libdir}/bonobo/servers/GNOME_Balsa.server
>  %{_datadir}/applications/*.desktop
> -%{_datadir}/balsa/hicolor/*
> -%{_datadir}/balsa/pixmaps/*
> -%{_datadir}/gnome/help/balsa/*
> +%{_datadir}/balsa/
> +%{_datadir}/gnome/help/balsa/
>  %{_datadir}/icons/hicolor/*
>  %{_datadir}/idl/Balsa.idl
> -%{_datadir}/omf/balsa/*
> +%{_datadir}/omf/balsa/
>  %{_datadir}/pixmaps/gnome-balsa2.png
> -%{_datadir}/sounds/balsa/*
> +%{_datadir}/sounds/balsa/
>  %{_mandir}/man1/balsa.1*
>  %config(noreplace) %{_sysconfdir}/sound/events/balsa.soundlist

Having seen several build requests for balsa meanwhile, I've
got to... *ping*!


-- 
Fedora Core release 4 (Stentz) - Linux 2.6.11-1.1369_FC4
loadavg: 1.20 1.41 2.10


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]